package com.wechat.model.responseDto;

/**
 * @author rayson
 * @description PositionResp 职位 resp
 * @create 2023-10-08 15:37
 **/
public class PositionResp {
    private Integer positionId;		// 职位id
    private Integer depdId;		// 部门id(部门信息表)
    private String positionNameCn;		// 职位名称-中文
    private String positionNameEn;		// 职位名称-英文
    private Integer positionGrade;		// 职位等级
    private String  requirement; // 默认职位要求
    private String  describe; // 默认职位内容
    private String depdName; // 部门名称
    private String positionName;		// 职位名称（传给前台）


    public Integer getPositionId() {
        return positionId;
    }

    public void setPositionId(Integer positionId) {
        this.positionId = positionId;
    }

    public Integer getDepdId() {
        return depdId;
    }

    public void setDepdId(Integer depdId) {
        this.depdId = depdId;
    }

    public String getPositionNameCn() {
        return positionNameCn;
    }

    public void setPositionNameCn(String positionNameCn) {
        this.positionNameCn = positionNameCn;
    }

    public String getPositionNameEn() {
        return positionNameEn;
    }

    public void setPositionNameEn(String positionNameEn) {
        this.positionNameEn = positionNameEn;
    }

    public Integer getPositionGrade() {
        return positionGrade;
    }

    public void setPositionGrade(Integer positionGrade) {
        this.positionGrade = positionGrade;
    }

    public String getRequirement() {
        return requirement;
    }

    public void setRequirement(String requirement) {
        this.requirement = requirement;
    }

    public String getDescribe() {
        return describe;
    }

    public void setDescribe(String describe) {
        this.describe = describe;
    }

    public String getDepdName() {
        return depdName;
    }

    public void setDepdName(String depdName) {
        this.depdName = depdName;
    }

    public String getPositionName() {
        return positionName;
    }

    public void setPositionName(String positionName) {
        this.positionName = positionName;
    }
}
